Required Plug-ins, Players and Readers